/**
 * Glazed Lists 
 * Sorted JTables Performance Comparison
 * http://publicobject.com/glazedlists/
 *
 * COPYRIGHT 2004 O'DELL ENGINEERING LTD.
 */
import java.util.*;
import java.io.*;
import java.net.*;
import javax.swing.*;
import java.applet.*;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.awt.Insets;
import java.awt.Rectangle;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
// glazed lists
import ca.odell.glazedlists.*;
import ca.odell.glazedlists.swing.*;

/**
 * @author <a href="mailto:jesse@odel.on.ca">Jesse Wilson</a>
 */
public class GlazedListsPerformance extends AbstractBusySort {
    
    /**
     * Gets a table model that sorts the specified list.
     */
    public JTable createSortedJTable(EventList unsorted) {
        SortedList sorted = new SortedList(unsorted, null);
        EventTableModel sortedTableModel = new EventTableModel(sorted, new ModIntegerTableFormat());
        JTable sortedJTable = new JTable(sortedTableModel);
        TableComparatorChooser comparatorChooser = new TableComparatorChooser(sortedJTable, sorted, false);
        return sortedJTable;
    }
    
    /**
     * Runs the busy sort.
     */
    public static void main(String[] args) {
        GlazedListsPerformance busySort = new GlazedListsPerformance();
        busySort.setParameters(args);
        SwingUtilities.invokeLater(busySort);
    }
}

