/**
 * Glazed Lists 
 * Sorted JTables Performance Comparison
 * http://publicobject.com/glazedlists/
 *
 * COPYRIGHT 2004 O'DELL ENGINEERING LTD.
 */
import java.util.*;
import java.io.*;
import java.net.*;
import javax.swing.*;
import java.applet.*;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.awt.Insets;
import java.awt.Rectangle;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
// glazed lists
import ca.odell.glazedlists.*;
import ca.odell.glazedlists.swing.*;
// JDNC
import org.jdesktop.swing.*;
import javax.swing.table.*;

/**
 * @author <a href="mailto:jesse@odel.on.ca">Jesse Wilson</a>
 */
public class JDNCPerformance extends AbstractBusySort {
    
    /**
     * Gets a table model that sorts the specified list.
     */
    public JTable createSortedJTable(EventList unsorted) {
        EventTableModel unsortedTableModel = new EventTableModel(unsorted, new ModIntegerTableFormat());
        return new JXTable(unsortedTableModel);
    }
    
    /**
     * Runs the busy sort.
     */
    public static void main(String[] args) {
        JDNCPerformance busySort = new JDNCPerformance();
        busySort.setParameters(args);
        SwingUtilities.invokeLater(busySort);
    }
}
